## zmakebas 1.1

=== Makefile ===
# makefile for zmakebas

# comment out the `-DHAVE_GETOPT' if, for some reason or other, you
# don't have getopt(). (This is mainly so it'll work on MS-DOG, though
# I'm not entirely sure why I bothered supporting that. :-))
#
CC=gcc
CFLAGS=-O -Wall -DHAVE_GETOPT

# these set where the executable and man page are installed
PREFIX=/usr/local

BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man/man1


all: zmakebas

zmakebas: zmakebas.o
	$(CC) $(CFLAGS) -o zmakebas zmakebas.o

installdirs:
	/bin/sh ./mkinstalldirs $(BINDIR) $(MANDIR)

install: zmakebas installdirs
	install -m 511 zmakebas $(BINDIR)
	install -m 444 zmakebas.1 $(MANDIR)

uninstall:
	$(RM) $(BINDIR)/zmakebas
	$(RM) $(MANDIR)/zmakebas.1*

clean:
	$(RM) *~ *.o zmakebas


# The stuff below makes the distribution tgz.

VERS=1.1

dist: tgz
tgz: ../zmakebas-$(VERS).tar.gz
  
../zmakebas-$(VERS).tar.gz: clean
	$(RM) ../zmakebas-$(VERS)
	@cd ..;ln -s zmakebas zmakebas-$(VERS)
	cd ..;tar zchvf zmakebas-$(VERS).tar.gz zmakebas-$(VERS)
	@cd ..;$(RM) zmakebas-$(VERS)

## zmakebas 1.2

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 # The stuff below makes the distribution tgz.
 
-VERS=1.1
+VERS=1.2
 
 dist: tgz
 tgz: ../zmakebas-$(VERS).tar.gz

## zmakebas 1.2b

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,17 @@
 # makefile for zmakebas
 
 # comment out the `-DHAVE_GETOPT' if, for some reason or other, you
-# don't have getopt(). (This is mainly so it'll work on MS-DOG, though
+# don't have getopt(). (This is mainly so it'll work on MS-DOS, though
 # I'm not entirely sure why I bothered supporting that. :-))
 #
 CC=gcc
-CFLAGS=-O -Wall -DHAVE_GETOPT
+CFLAGS=-O -Wall -Wno-pointer-sign -DHAVE_GETOPT
 
 # these set where the executable and man page are installed
 PREFIX=/usr/local
 
 BINDIR=$(PREFIX)/bin
-MANDIR=$(PREFIX)/man/man1
+MANDIR=$(PREFIX)/share/man/man1
 
 
 all: zmakebas
@@ -23,8 +23,8 @@
 	/bin/sh ./mkinstalldirs $(BINDIR) $(MANDIR)
 
 install: zmakebas installdirs
-	install -m 511 zmakebas $(BINDIR)
-	install -m 444 zmakebas.1 $(MANDIR)
+	install -m 755 zmakebas $(BINDIR)
+	install -m 644 zmakebas.1 $(MANDIR)
 
 uninstall:
 	$(RM) $(BINDIR)/zmakebas
@@ -36,7 +36,7 @@
 
 # The stuff below makes the distribution tgz.
 
-VERS=1.2
+VERS=1.2b
 
 dist: tgz
 tgz: ../zmakebas-$(VERS).tar.gz

=== debian/changelog ===
zmakebas (1.2b-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to new upstream version. (Closes: #1017991)
  * Convert to source format 3.0. (Closes: #1007306)
  * Use Priority: optional over extra.

 -- Bastian Germann <bage@debian.org>  Sun, 22 Oct 2023 23:29:09 +0200

zmakebas (1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace yada with debhelper. (Closes: #636895)
    + Copy debian/copyright from binary package.
    + debian/control: Update Build-Depends.  Add ${misc:Depends} and
      ${shlibs:Depends} to Depends.
    + Add debian/zmakebas.{install,manpages,docs,examples}. Examples
      will now be in 'examples' subdirectory rather than 'example'.
    + debian/rules: Replace.
  * Remove Piotr from Uploaders. (Closes: #636746)

 -- Tim Retout <diocles@debian.org>  Mon, 15 Aug 2011 19:43:50 +0100

zmakebas (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Tue,  8 May 2007 15:43:57 +0200

zmakebas (1.1-1) unstable; urgency=low

  * Initial Debian version. Closes: #377021.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Thu,  6 Jul 2006 10:43:41 +0200

=== debian/control ===
Source: zmakebas
Maintainer: Krystian Wlosek <tygrys@waw.pdi.net>
Section: otherosfs
Priority: optional
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 8)

Package: zmakebas
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: convert text files into ZX Spectrum Basic programs
 zmakebas converts a Spectrum Basic program written as a text file into
 an actual speccy Basic file (as a .TAP file, or optionally a raw
 headerless file).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
